Go to the latest version of this document.

# ``twisted`.`python`.`threadpool``

module documentation
(source)

twisted.python.threadpool: a pool of threads to which we dispatch tasks.

In most cases you can just use `reactor.callInThread` and friends instead of creating a thread pool directly.

Class | `ThreadPool` | This class (hopefully) generalizes the functionality of a pool of threads to which work can be dispatched.
Variable | `WorkerStop` | Undocumented
Class | `_State` | Undocumented
Class | `_SupportsQsize` | Undocumented
Constant | `_P` | Undocumented
Type Variable | `_R` | Undocumented

WorkerStop = (source)

Undocumented

_P = (source)

Undocumented

Value

    ParamSpec('_P')

_R = (source)

Undocumented

Value

    TypeVar('_R')